%define LANG zh

%define fname man-pages-zh_CN

Summary:	Chinese man pages
Name:		man-pages-%{LANG}
Version:	1.5
Release:	14
License:	FDL
Group:		System/Internationalization
Source:		http://download.sf.linuxforum.net/cmpp/%fname-%version.tar.bz2
Source1:	makewhatis.%{LANG}_CN.UTF-8.bz2
Source2:	makewhatis.%{LANG}_CN.bz2
BuildRequires:	man
Autoreq:	false
Requires:	locales-%{LANG}
Requires:	man
Provides:	man-%{LANG} = %{EVRD}
Provides:	manpages-%{LANG} = %{EVRD}
BuildArch:	noarch

%description
Set of man pages translated into Chinese language.

%prep
%setup -q -n %{fname}-%{version}

%build
%make u8
%make gb
# fix conflict with mplayer:
rm -f */man1/mplayer.1

%install
mkdir -p %{buildroot}%{_sysconfdir}
make DESTDIR=%{buildroot}%{_usr}/share install-u8
make DESTDIR=%{buildroot}%{_usr}/share install-gb CONFDIR=%{buildroot}/etc

mkdir -p %{buildroot}%{_sbindir}
bzcat %{SOURCE1} > %{buildroot}%{_sbindir}/makewhatis.%{LANG}_CN.UTF-8
chmod a+rx %{buildroot}%{_sbindir}/makewhatis.%{LANG}_CN.UTF-8
bzcat %{SOURCE2} > %{buildroot}%{_sbindir}/makewhatis.%{LANG}_CN
chmod a+rx %{buildroot}%{_sbindir}/makewhatis.%{LANG}_CN

%{buildroot}%{_sbindir}/makewhatis.%{LANG}_CN.UTF-8 \
        %{buildroot}/%{_mandir}/%{LANG}_CN.UTF-8
%{buildroot}%{_sbindir}/makewhatis.%{LANG}_CN \
        %{buildroot}/%{_mandir}/%{LANG}_CN

mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LANG}_CN.UTF-8.cron << EOF
#!/bin/bash
%{_sbindir}/makewhatis.%{LANG}_CN.UTF-8 %{_mandir}/%{LANG}_CN.UTF-8
exit 0
EOF
chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LANG}_CN.UTF-8.cron
cat > %{buildroot}/etc/cron.weekly/makewhatis-%{LANG}_CN.cron << EOF
#!/bin/bash
%{_sbindir}/makewhatis.%{LANG}_CN %{_mandir}/%{LANG}_CN
exit 0
EOF
chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LANG}_CN.cron

# Provided by shadow-utils
rm -f %{buildroot}%{_mandir}/%{LANG}_CN/man1/newgrp.1*
rm -f %{buildroot}%{_mandir}/%{LANG}_CN/man8/chpasswd.8*
rm -f %{buildroot}%{_mandir}/%{LANG}_CN/man8/groupadd.8*
rm -f %{buildroot}%{_mandir}/%{LANG}_CN/man8/groupdel.8*
rm -f %{buildroot}%{_mandir}/%{LANG}_CN/man8/groupmod.8*
rm -f %{buildroot}%{_mandir}/%{LANG}_CN/man8/useradd.8*
rm -f %{buildroot}%{_mandir}/%{LANG}_CN/man8/userdel.8*
rm -f %{buildroot}%{_mandir}/%{LANG}_CN/man8/usermod.8*

%post
%{_sysconfdir}/cron.weekly/makewhatis-%{LANG}_CN.UTF-8.cron
%{_sysconfdir}/cron.weekly/makewhatis-%{LANG}_CN.cron
touch %{_mandir}/%{LANG}_CN.UTF-8/whatis
touch %{_mandir}/%{LANG}_CN/whatis

%files
%defattr(0644,root,man,755)
%{_mandir}/%{LANG}_CN.UTF-8
%attr(755,root,root)%{_sbindir}/makewhatis.%{LANG}_CN.UTF-8
%config(noreplace) %attr(755,root,root)%{_sysconfdir}/cron.weekly/makewhatis-%{LANG}_CN.UTF-8.cron
#
%{_mandir}/%{LANG}_CN
%attr(755,root,root) %{_sbindir}/makewhatis.%{LANG}_CN
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}_CN.cron
%{_sysconfdir}/cman.conf
%{_sysconfdir}/profile.d/cman.csh
%{_sysconfdir}/profile.d/cman.sh


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.5-14
+ Revision: 0da4eac
- MassBuild#440: Increase release tag


